summaryrefslogtreecommitdiff
path: root/dev-python/python-manilaclient
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-manilaclient')
-rw-r--r--dev-python/python-manilaclient/Manifest1
-rw-r--r--dev-python/python-manilaclient/python-manilaclient-6.3.0.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/python-manilaclient/Manifest b/dev-python/python-manilaclient/Manifest
index 604130dd28c7..5ff690989108 100644
--- a/dev-python/python-manilaclient/Manifest
+++ b/dev-python/python-manilaclient/Manifest
@@ -1 +1,2 @@
DIST python_manilaclient-6.2.0.tar.gz 304351 BLAKE2B 1e8f99c438b8ee12c0def7c81ad21804ad7f77818fdc16c7314fe9c0bafba961db24518125affd7ecfc6379749ce380b5945dc1cccdcadcb3b2ebc64b2ed68ca SHA512 621152fb1051acc66d3dc8c84d7c9b03e064755cb8957d85802bc0fb8948f53ea3798f0d3e821897f5a638a7de6551bf1afde400b3fbc43f7d5d98b93b56ee65
+DIST python_manilaclient-6.3.0.tar.gz 311098 BLAKE2B da9e39256662be13e76d926e67b7e72c07f20b516488be57742282f08ed50362ff907aad17a1669015fcd9cfa452f146e023c57b8110d99035b96b069f9681c5 SHA512 c2d83c49c87d687a699488286bf851689757f7c9dd8b658ca60f7e30d2a5c0cce710bea3f02ecc78c0fb8d10903bbbeee5295abcee41a878349337ffa9e02e34
diff --git a/dev-python/python-manilaclient/python-manilaclient-6.3.0.ebuild b/dev-python/python-manilaclient/python-manilaclient-6.3.0.ebuild
new file mode 100644
index 000000000000..f3ef4a12b227
--- /dev/null
+++ b/dev-python/python-manilaclient/python-manilaclient-6.3.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the OpenStack Manila API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-manilaclient
+ https://github.com/openstack/python-manilaclient/
+ https://pypi.org/project/python-manilaclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth1-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/python-openstackclient-10.1.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # requires tempest
+ rm manilaclient/tests/unit/test_functional_utils.py || die
+
+ distutils-r1_src_prepare
+
+}
+
+python_test() {
+ # functional tests require the OpenStack manila service
+ eunittest manilaclient/tests/unit
+}